CSegSetWithImages Class Reference
Perfusion Analysis

A set of images and its segmentations, related to heart perfusion analysis. More...

`#include <mia/2d/segsetwithimages.hh>`

Inheritance diagram for CSegSetWithImages:
[legend]
Collaboration diagram for CSegSetWithImages:
[legend]

## Public Types

typedef std::shared_ptr< CSegSetWithImages > | Pointer
typedef CSegSetWithImages | type
Public Types inherited from CSegSet
typedef std::vector< CSegFrame > | Frames
| convenience typedef for the frames comprising a segmentation set

## Public Member Functions

void | add_frame (const CSegFrame &frame)
void | add_frame (const CSegFrame &frame, P2DImage image)
CSegSetWithImages * | clone () const
CSegSetWithImages | crop (const C2DIVector &start, const C2DIVector &end, const std::string &crop_filename_base)
| CSegSetWithImages ()
| CSegSetWithImages (const CXMLDocument &node, const std::string &fileroot)
| CSegSetWithImages (const std::string &filename, bool ignore_path)
| CSegSetWithImages (int version)
const C2DImageSeries & | get_images () const
void | save_images (const std::string &root) const
| save the images to their give file names with the given directory as root
void | set_images (const C2DImageSeries &series)
| sets the image series
Public Member Functions inherited from CSegSet
void | add_frame (const CSegFrame &frame)
| CSegSet ()
| Standard constructor.
| CSegSet (const CXMLDocument &node)
| CSegSet (const std::string &src_filename)
| CSegSet (int version)
const C2DBoundingBox | get_boundingbox () const
Frames & | get_frames ()
const Frames & | get_frames () const
int | get_LV_peak () const
int | get_preferred_reference () const
int | get_RV_peak () const
void | rename_base (const std::string &new_base)
void | set_LV_peak (int peak)
void | set_preferred_reference (int value)
void | set_RV_peak (int peak)
CSegSet | shift_and_rename (size_t skip, const C2DFVector &shift, const std::string &new_filename_base) const
void | transform (const C2DTransformation &t)
CXMLDocument | write () const
Public Member Functions inherited from CIOData
const std::string & | get_source_format () const
void | set_source_format (const std::string &format)

## Static Public Attributes

static const char * | data_descr

## Detailed Description

A set of images and its segmentations, related to heart perfusion analysis.

A set of slices containing segmentationinformation as well as the images.

Definition at line 40 of file segsetwithimages.hh.

## Member Typedef Documentation

## Pointer

typedef std::shared_ptr<CSegSetWithImages> CSegSetWithImages::Pointer

Definition at line 45 of file segsetwithimages.hh.

## type

typedef CSegSetWithImages CSegSetWithImages::type

Definition at line 44 of file segsetwithimages.hh.

## Constructor & Destructor Documentation

## CSegSetWithImages() [1/4]

CSegSetWithImages::CSegSetWithImages | ( |  | ) |

Referenced by clone(), and crop().

## CSegSetWithImages() [2/4]

CSegSetWithImages::CSegSetWithImages | ( | int | version | ) |

## CSegSetWithImages() [3/4]

CSegSetWithImages::CSegSetWithImages | ( | const CXMLDocument & | node,
|  | const std::string & | fileroot )

Read the segmentation set and load the images

Parameters

  node | the root node of the XML segmentation set description
  fileroot | is the root location of the set file and it is used as base path for the images.

## CSegSetWithImages() [4/4]

CSegSetWithImages::CSegSetWithImages | ( | const std::string & | filename,
|  | bool | ignore_path )

Read the segmentation set and load the images

Parameters

  filename | segmentation set
  ignore_path | if true the image reader will ignore the path assosiated with the images, and use the base directory of the segmentation set.

## Member Function Documentation

## add_frame() [1/2]

void CSegSet::add_frame | ( | const CSegFrame & | frame | ) |

Append a segmentation frame

Parameters

  frame |

## add_frame() [2/2]

void CSegSetWithImages::add_frame | ( | const CSegFrame & | frame,
|  | P2DImage | image )

Add a frame ant its correcponding image

Parameters

  frame | the new frame
  image | the image

## clone()

CSegSetWithImages * CSegSetWithImages::clone | ( |  | ) | const

References CSegSetWithImages().

## crop()

CSegSetWithImages CSegSetWithImages::crop | ( | const C2DIVector & | start,
|  | const C2DIVector & | end,
|  | const std::string & | crop_filename_base )

Run acropping on the inout images and correct the segmentation information accordingly

Parameters

  start | upper left corner of the cropping reagion
  end | lower right corner of the cropping reagion
  crop_filename_base | new file name base for the cropped images

Returns
  a new segmentation set with the cropped images and the corrected segmentation information

References CSegSetWithImages().

## get_images()

const C2DImageSeries & CSegSetWithImages::get_images | ( |  | ) | const

Returns
  a vector of the images

## save_images()

void CSegSetWithImages::save_images | ( | const std::string & | root | ) | const

save the images to their give file names with the given directory as root

Parameters

  root |

References CSegSet::add_frame().

## set_images()

void CSegSetWithImages::set_images | ( | const C2DImageSeries & | series | ) |

sets the image series

Parameters

  series |

## Field Documentation

## data_descr

const char* CSegSetWithImages::data_descr

static

Definition at line 43 of file segsetwithimages.hh.

The documentation for this class was generated from the following file:

- segsetwithimages.hh